#include "includes.h"
#include "protos.h"

int debug = 0;

int main(int argc, char **argv)
{
  int sockfd; 
  struct sockaddr_in serv_addr;
  
  pname = argv[0];

  if((sockfd = socket(PF_INET, SOCK_STREAM, 0)) < 0)
  {
    perror("client : can't open stream socket ");
    exit(-1);
  }

  bzero((char *) &serv_addr, sizeof(serv_addr));

  serv_addr.sin_family		= AF_INET;
  serv_addr.sin_addr.s_addr	= inet_addr(SERV_HOST_ADDR);
  serv_addr.sin_port		= htons(SERV_TCP_PORT);

  if(connect(sockfd, (struct sockaddr *) &serv_addr, sizeof(serv_addr)) < 0)
  {
    perror("client : can't connect to the server ");
    exit(-1);
  }

  str_cli(stdin, sockfd);

  exit(0);
}
